# Mobile network preferred set

An action block that sets the preferred mobile network.

The fiber will proceed immediately without pause.

Changing the preferred mobile network may fail if a call is currently in progress, use the Call state to check.

Note! This feature isn’t officially supported, requires Android 5 and the privileged service, or a CyanogenMod device, may not work on all devices.

## Input arguments

- Mobile network — mobile network to prefer, default is device/subscription default network type.
- Subscription id — id of subscription (SIM) to change preferred network for, default is the system default subscription.